Cancel campaign
curl --request PATCH \
--url https://api.getkarta.ai/public/v1/voice/campaigns/{campaign_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "inactive"
}
'import requests
url = "https://api.getkarta.ai/public/v1/voice/campaigns/{campaign_id}"
payload = { "status": "inactive" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'inactive'})
};
fetch('https://api.getkarta.ai/public/v1/voice/campaigns/{campaign_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"campaign_id": "campaign_example",
"status": "inactive",
"updated_at": 1788228100,
"config": {
"campaign_name": "Example follow-up",
"agent_id": "agentexample",
"from_number": "+12025550124"
}
}Campaigns
Cancel campaign
Cancel an active or running campaign.
PATCH
/
voice
/
campaigns
/
{campaign_id}
Cancel campaign
curl --request PATCH \
--url https://api.getkarta.ai/public/v1/voice/campaigns/{campaign_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "inactive"
}
'import requests
url = "https://api.getkarta.ai/public/v1/voice/campaigns/{campaign_id}"
payload = { "status": "inactive" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'inactive'})
};
fetch('https://api.getkarta.ai/public/v1/voice/campaigns/{campaign_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"campaign_id": "campaign_example",
"status": "inactive",
"updated_at": 1788228100,
"config": {
"campaign_name": "Example follow-up",
"agent_id": "agentexample",
"from_number": "+12025550124"
}
}Cancellation stops future calls; calls already in progress may continue. Inactive and completed campaigns cannot be cancelled.